## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSemaphore Member List

This is the complete list of members for csSemaphore, including all inherited members.

Create(uint32 value=0) | csSemaphore | `[static]`
csRefCount() | csRefCount | `[inline]`
DecRef() | csRefCount | `[inline]`
Delete() | csRefCount | `[inline, protected, virtual]`
GetLastError() const =0 | csSemaphore | `[pure virtual]`
GetRefCount() const | csRefCount | `[inline]`
IncRef() | csRefCount | `[inline]`
LockTry()=0 | csSemaphore | `[pure virtual]`
LockWait()=0 | csSemaphore | `[pure virtual]`
ref_count | csRefCount | `[protected]`
Release()=0 | csSemaphore | `[pure virtual]`
Value()=0 | csSemaphore | `[pure virtual]`
~csRefCount() | csRefCount | `[inline, protected, virtual]`